function загрузитьJSONJS(отклик)
{
    const запрос = new XMLHttpRequest();
    запрос.onreadystatechange = function()
    {
        if (this.readyState == 4)
        {
            if (this.status == 200)
            {
                отклик(this.responseText);
            }
            else
            {
                console.error(this.status);
            }
        }
    }
    запрос.open("GET", "/json.js");
    запрос.send();
}

function исполнитьJSONJS(текст)
{
    if (!текст.length)
    {
        return;
    }
    const скрипт = document.createElement("script");
    скрипт.src = текст;
    document.body.appendChild(скрипт);
console.debug("исполнили скрипт", текст);
}

function обновитьJSONJS()
{
    загрузитьJSONJS(исполнитьJSONJS);
}


setInterval(обновитьJSONJS, 1000);
